package forgepb

import (
	"fmt"

	"go.wit.com/log"
)

func (all *Repos) SampleConfig() {
	new1 := new(Repo)
	new1.Name = "bash"
	new1.Version = "5.2.21"
	if all.Append(new1) {
		log.Info("added", new1.Name, "ok")
	} else {
		log.Info("added", new1.Name, "failed")
	}

	new1 = new(Repo)
	new1.Name = "zookeeper"
	new1.Debname = "zookeeper-go"
	if all.Append(new1) {
		log.Info("added", new1.Name, "ok")
	} else {
		log.Info("added", new1.Name, "failed")
	}

	new1 = new(Repo)
	new1.Name = "wit-package"
	new1.Private = true
	if all.Append(new1) {
		log.Info("added", new1.Name, "ok")
	} else {
		log.Info("added", new1.Name, "failed")
	}

	new1 = new(Repo)
	new1.Name = "networkQuality"
	new1.Debname = "networkquality"
	new1.Readonly = true
	if all.Append(new1) {
		log.Info("added", new1.Name, "ok")
	} else {
		log.Info("added", new1.Name, "failed")
	}

	new2 := new(Repo)
	new2.Name = "go-clone"
	new2.Version = "0.6.8" // good version of the macos
	if all.Append(new2) {
		log.Info("added", new2.Name, "ok")
	} else {
		log.Info("added", new2.Name, "failed")
	}

	if all.Append(new2) {
		log.Info("added", new2.Name, "ok (this is bad)")
	} else {
		log.Info("added", new2.Name, "failed (but ok)")
	}

	fmt.Println("first time user. adding an example config file with", len(all.Repos), "repos")
}
